FollowerBean (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server.quorum

## Class FollowerBean

- java.lang.Object
- - org.apache.zookeeper.server.ZooKeeperServerBean
  - - org.apache.zookeeper.server.quorum.FollowerBean

- All Implemented Interfaces:
    ZKMBeanInfo, FollowerMXBean, ZooKeeperServerMXBean

      public class FollowerBean
      extends ZooKeeperServerBean
      implements FollowerMXBean

  Follower MBean interface implementation

- - ### Field Summary

    - ### Fields inherited from class org.apache.zookeeper.server.ZooKeeperServerBean

      `zks`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FollowerBean(Follower follower, ZooKeeperServer zks)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getElectionTimeTaken()`
    `String` | `getLastQueuedZxid()`
    `int` | `getMaxConcurrentDiffSyncs()`
    `int` | `getMaxConcurrentSnapSyncs()`
    `String` | `getName()`
    `int` | `getObserverMasterPacketSizeLimit()`
    `int` | `getPendingRevalidationCount()`
    `String` | `getQuorumAddress()`
    `void` | `setMaxConcurrentDiffSyncs(int maxConcurrentDiffSyncs)`
    `void` | `setMaxConcurrentSnapSyncs(int maxConcurrentSnapshots)`
    `void` | `setObserverMasterPacketSizeLimit(int sizeLimit)` set the size limit in bytes for the observer master commit packet queue

    - ### Methods inherited from class org.apache.zookeeper.server.ZooKeeperServerBean

      `getAuthFailedCount, getAvgRequestLatency, getClientPort, getCommitProcMaxCommitBatchSize, getCommitProcMaxReadBatchSize, getConnectionDecreaseRatio, getConnectionDropDecrease, getConnectionDropIncrease, getConnectionFreezeTime, getConnectionMaxTokens, getConnectionTokenFillCount, getConnectionTokenFillTime, getDataDirSize, getFlushDelay, getFsyncThresholdExceedCount, getJuteMaxBufferSize, getLargeRequestMaxBytes, getLargeRequestThreshold, getLastClientResponseSize, getLogDirSize, getMaxBatchSize, getMaxClientCnxnsPerHost, getMaxClientResponseSize, getMaxCnxns, getMaxRequestLatency, getMaxSessionTimeout, getMaxWriteQueuePollTime, getMinClientResponseSize, getMinRequestLatency, getMinSessionTimeout, getNonMTLSLocalConnCount, getNonMTLSRemoteConnCount, getNumAliveConnections, getOutstandingRequests, getPacketsReceived, getPacketsSent, getRequestStaleConnectionCheck, getRequestStaleLatencyCheck, getRequestThrottleDropStale, getRequestThrottleLimit, getRequestThrottleStallTime, getResponseCachingEnabled, getSecureClientAddress, getSecureClientPort, getStartTime, getThrottledOpWaitTime, getTickTime, getTxnLogElapsedSyncTime, getVersion, isHidden, resetAuthFailedCount, resetFsyncThresholdExceedCount, resetLatency, resetMaxLatency, resetNonMTLSConnCount, resetStatistics, setCommitProcMaxCommitBatchSize, setCommitProcMaxReadBatchSize, setConnectionDecreaseRatio, setConnectionDropDecrease, setConnectionDropIncrease, setConnectionFreezeTime, setConnectionMaxTokens, setConnectionTokenFillCount, setConnectionTokenFillTime, setFlushDelay, setLargeRequestMaxBytes, setLargeRequestThreshold, setMaxBatchSize, setMaxClientCnxnsPerHost, setMaxSessionTimeout, setMaxWriteQueuePollTime, setMinSessionTimeout, setRequestStaleConnectionCheck, setRequestStaleLatencyCheck, setRequestThrottleDropStale, setRequestThrottleLimit, setRequestThrottleStallTime, setResponseCachingEnabled, setThrottledOpWaitTime, setTickTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.zookeeper.server.ZooKeeperServerMXBean

      `getAuthFailedCount, getAvgRequestLatency, getClientPort, getCommitProcMaxCommitBatchSize, getCommitProcMaxReadBatchSize, getConnectionDecreaseRatio, getConnectionDropDecrease, getConnectionDropIncrease, getConnectionFreezeTime, getConnectionMaxTokens, getConnectionTokenFillCount, getConnectionTokenFillTime, getDataDirSize, getFlushDelay, getFsyncThresholdExceedCount, getJuteMaxBufferSize, getLargeRequestMaxBytes, getLargeRequestThreshold, getLastClientResponseSize, getLogDirSize, getMaxBatchSize, getMaxClientCnxnsPerHost, getMaxClientResponseSize, getMaxCnxns, getMaxRequestLatency, getMaxSessionTimeout, getMaxWriteQueuePollTime, getMinClientResponseSize, getMinRequestLatency, getMinSessionTimeout, getNonMTLSLocalConnCount, getNonMTLSRemoteConnCount, getNumAliveConnections, getOutstandingRequests, getPacketsReceived, getPacketsSent, getRequestStaleConnectionCheck, getRequestStaleLatencyCheck, getRequestThrottleDropStale, getRequestThrottleLimit, getRequestThrottleStallTime, getResponseCachingEnabled, getSecureClientAddress, getSecureClientPort, getStartTime, getThrottledOpWaitTime, getTickTime, getTxnLogElapsedSyncTime, getVersion, resetAuthFailedCount, resetFsyncThresholdExceedCount, resetLatency, resetMaxLatency, resetNonMTLSConnCount, resetStatistics, setCommitProcMaxCommitBatchSize, setCommitProcMaxReadBatchSize, setConnectionDecreaseRatio, setConnectionDropDecrease, setConnectionDropIncrease, setConnectionFreezeTime, setConnectionMaxTokens, setConnectionTokenFillCount, setConnectionTokenFillTime, setFlushDelay, setLargeRequestMaxBytes, setLargeRequestThreshold, setMaxBatchSize, setMaxClientCnxnsPerHost, setMaxSessionTimeout, setMaxWriteQueuePollTime, setMinSessionTimeout, setRequestStaleConnectionCheck, setRequestStaleLatencyCheck, setRequestThrottleDropStale, setRequestThrottleLimit, setRequestThrottleStallTime, setResponseCachingEnabled, setThrottledOpWaitTime, setTickTime`

- - ### Constructor Detail

    - #### FollowerBean

          public FollowerBean(Follower follower,
                              ZooKeeperServer zks)

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `ZKMBeanInfo`
      Overrides:
        `getName` in class `ZooKeeperServerBean`
      Returns:
        a string identifying the MBean

    - #### getQuorumAddress

          public String getQuorumAddress()

      Specified by:
        `getQuorumAddress` in interface `FollowerMXBean`
      Returns:
        socket address

    - #### getLastQueuedZxid

          public String getLastQueuedZxid()

      Specified by:
        `getLastQueuedZxid` in interface `FollowerMXBean`
      Returns:
        last queued zxid

    - #### getPendingRevalidationCount

          public int getPendingRevalidationCount()

      Specified by:
        `getPendingRevalidationCount` in interface `FollowerMXBean`
      Returns:
        count of pending revalidations

    - #### getElectionTimeTaken

          public long getElectionTimeTaken()

      Specified by:
        `getElectionTimeTaken` in interface `FollowerMXBean`
      Returns:
        time taken for leader election in milliseconds.

    - #### getObserverMasterPacketSizeLimit

          public int getObserverMasterPacketSizeLimit()

      Specified by:
        `getObserverMasterPacketSizeLimit` in interface `FollowerMXBean`
      Returns:
        the size limit in bytes for the observer master commit packet queue

    - #### setObserverMasterPacketSizeLimit

          public void setObserverMasterPacketSizeLimit(int sizeLimit)

      Description copied from interface: `FollowerMXBean`
      set the size limit in bytes for the observer master commit packet queue
      Specified by:
        `setObserverMasterPacketSizeLimit` in interface `FollowerMXBean`

    - #### getMaxConcurrentSnapSyncs

          public int getMaxConcurrentSnapSyncs()

      Specified by:
        `getMaxConcurrentSnapSyncs` in interface `FollowerMXBean`
      Returns:
        Number of concurrent snapshots permitted to send to observers

    - #### setMaxConcurrentSnapSyncs

          public void setMaxConcurrentSnapSyncs(int maxConcurrentSnapshots)

      Specified by:
        `setMaxConcurrentSnapSyncs` in interface `FollowerMXBean`
      Parameters:
        `maxConcurrentSnapshots` - Number of concurrent snapshots permitted to send to observers

    - #### getMaxConcurrentDiffSyncs

          public int getMaxConcurrentDiffSyncs()

      Specified by:
        `getMaxConcurrentDiffSyncs` in interface `FollowerMXBean`
      Returns:
        Number of concurrent diff syncs permitted to send to observers

    - #### setMaxConcurrentDiffSyncs

          public void setMaxConcurrentDiffSyncs(int maxConcurrentDiffSyncs)

      Specified by:
        `setMaxConcurrentDiffSyncs` in interface `FollowerMXBean`
      Parameters:
        `maxConcurrentDiffSyncs` - Number of concurrent diff syncs permitted to send to observers

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.